﻿/*
 *  Bitly.Net is a Dot.Net wrapper around the bit.ly RESTful API. bit.ly is an URL shortening service located at http://bit.ly
 *  Copyright (C) 2010 Ckode.dk

 *  This file is part of Bitly.Net.

 *  Bitly.Net is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.

 *  Bitly.Net is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.

 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Bitly.Net.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Ckode.Bitly.Net
{
	internal class ParameterNames
	{
		public const string Format = "format";
		public const string Login = "login";
		public const string LongUrl = "longUrl";
		public const string Domain = "domain";
		public const string ApiKey = "apiKey";
		public const string XLogin = "x_login";
		public const string XApiKey = "x_apiKey";
		public const string ShortUrl = "shortUrl";
		public const string Hash = "hash";
		public const string Url = "url";
		public const string XPassword = "x_password";
	}
}
