﻿
namespace Ckode.Bitly.Net.Results
{
	public class AuthenticateResult
	{
		/// <summary>
		/// The corresponding bit.ly user's username.
		/// </summary>
		public string Username { get; private set; }

		/// <summary>
		/// The corresponding bit.ly user's api key.
		/// </summary>
		public string ApiKey { get; private set; }

		/// <summary>
		/// An indicator of whether or not the login and password combination is valid.
		/// </summary>
		public bool Successful { get; private set; }

		internal AuthenticateResult(string username, string apikey, bool successful)
		{
			Username = username;
			ApiKey = apikey;
			Successful = successful;
		}
	}
}

